import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
//import { session } from '@/store/modules/session';
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'page.Raw.MatReturnWH',
})
export class MatReturnWH extends VuexModule {
  SubmitCode: any = '';
  @MutationAction
  async out(params: any) {
    const result: any = await http.post(url.lanjuwms.raw.MatReturnWH.into, params);
    const SubmitCode = result.code;
    return { SubmitCode };
  }
}

export default getModule(MatReturnWH);
